Bug 856515 - ovirt-engine-backend: Engine should block edit locked template
ovirt-engine-backend: Engine should block edit locked template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Maor
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 04:09 EDT by Oded Ramraz
Modified: 2016-02-10 12:04 EST (History)
11 users (show)

See Also:
Fixed In Version: SF6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs (166.09 KB, application/zip)
2012-09-12 04:27 EDT, Oded Ramraz
no flags Details

  None (edit)
Description Oded Ramraz 2012-09-12 04:09:57 EDT
Description of problem:

After creating template from a VM using CLI I managed to edit its name while it was in locked status.
Both template / VM were stuck in locked state afterwards . 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

## add 

[RHEVM shell (connected)]# add template --vm-id af4770f7-d853-4e26-98f9-7ed77c84637f --name test 

id                        : 74814f48-c3d1-45c5-ba7e-c659b1fd49b7
name                      : test
cluster-id                : 99408929-82cf-4dc7-a532-9d998063fa95
cpu-topology-cores        : 1
cpu-topology-sockets      : 1
creation_status-state     : pending
creation_time             : 2012-09-12T10:32:14.673+03:00
display-allow_reconnect   : False
display-monitors          : 1
display-type              : spice
high_availability-enabled : False
high_availability-priority: 1
memory                    : 2147483648
origin                    : rhev
os-boot-dev               : hd
os-type                   : rhel_6x64
stateless                 : False
status-state              : locked
type                      : desktop
usb-enabled               : False

## show 

[RHEVM shell (connected)]# show template 74814f48-c3d1-45c5-ba7e-c659b1fd49b7

id                        : 74814f48-c3d1-45c5-ba7e-c659b1fd49b7
name                      : test
cluster-id                : 99408929-82cf-4dc7-a532-9d998063fa95
cpu-topology-cores        : 1
cpu-topology-sockets      : 1
creation_time             : 2012-09-12T10:32:14.673+03:00
display-allow_reconnect   : False
display-monitors          : 1
display-type              : spice
high_availability-enabled : False
high_availability-priority: 1
memory                    : 2147483648
origin                    : rhev
os-boot-dev               : hd
os-type                   : rhel_6x64
stateless                 : False
status-state              : locked
type                      : desktop
usb-enabled               : False

## update 


[RHEVM shell (connected)]# update template test --name test1

id                        : 74814f48-c3d1-45c5-ba7e-c659b1fd49b7
name                      : test1
cluster-id                : 99408929-82cf-4dc7-a532-9d998063fa95
cpu-topology-cores        : 1
cpu-topology-sockets      : 1
creation_time             : 2012-09-12T10:32:14.673+03:00
display-allow_reconnect   : False
display-monitors          : 1
display-type              : spice
high_availability-enabled : False
high_availability-priority: 1
memory                    : 2147483648
origin                    : rhev
os-boot-dev               : hd
os-type                   : rhel_6x64
stateless                 : False
status-state              : locked
type                      : desktop
usb-enabled               : False
Comment 1 Oded Ramraz 2012-09-12 04:27:52 EDT
Created attachment 612027 [details]
engine logs
Comment 2 Maor 2012-11-06 04:20:01 EST
Post upstream at http://gerrit.ovirt.org/#/c/9070/1
Comment 6 Maor 2013-01-13 13:01:34 EST
Merged with change-id If4e25d5e9badd3169b2b5a65c3a7e745adadf379
Comment 7 Leonid Natapov 2013-02-13 09:18:45 EST
sf6. fixed.

[RHEVM shell (connected)]# add template --vm-id 20216b9c-858c-45b2-b902-64adbac6509b --name test

id                        : 565f11cf-b70e-4e6c-9182-c4cbcdec329d
name                      : test
cluster-id                : 99408929-82cf-4dc7-a532-9d998063fa95
cpu-topology-cores        : 1
cpu-topology-sockets      : 1
creation_status-state     : pending
creation_time             : 2013-02-13T16:23:02.198+02:00
display-allow_override    : False
display-monitors          : 1
display-type              : spice
high_availability-enabled : False
high_availability-priority: 1
memory                    : 536870912
origin                    : rhev
os-boot-dev               : hd
os-type                   : unassigned
stateless                 : False
status-state              : locked
type                      : server
usb-enabled               : False

[RHEVM shell (connected)]# update template test --name test2

error: 
status: 400
reason: Bad Request
detail: Template is currently locked (temporarily).
Comment 8 Itamar Heim 2013-06-11 05:20:51 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:43:44 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.